HyperSearchOperationNode (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit.search

## Class HyperSearchOperationNode

- java.lang.Object
- - org.gjt.sp.jedit.search.HyperSearchOperationNode

-     public class HyperSearchOperationNode
      extends java.lang.Object

  Top result node of a HyperSearch request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyperSearchOperationNode(java.lang.String searchString, SearchMatcher searchMatcher)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cacheResultNodes(javax.swing.tree.DefaultMutableTreeNode operNode)`
    `SearchMatcher` | `getSearchMatcher()`
    `java.lang.String` | `getSearchString()`
    `void` | `insertTreeNodes(javax.swing.JTree resultTree, javax.swing.tree.DefaultMutableTreeNode operNode)`
    `boolean` | `isTreeViewDisplayed()`
    `static void` | `removeNodeFromCache(javax.swing.tree.MutableTreeNode mnode)`
    `void` | `restoreFlatNodes(javax.swing.JTree resultTree, javax.swing.tree.DefaultMutableTreeNode operNode)`
    `void` | `setTreeViewDisplayed(boolean treeViewDisplayed)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HyperSearchOperationNode

          public HyperSearchOperationNode(java.lang.String searchString,
                                          SearchMatcher searchMatcher)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isTreeViewDisplayed

          public boolean isTreeViewDisplayed()

    - #### setTreeViewDisplayed

          public void setTreeViewDisplayed(boolean treeViewDisplayed)

    - #### restoreFlatNodes

          public void restoreFlatNodes(javax.swing.JTree resultTree,
                                       javax.swing.tree.DefaultMutableTreeNode operNode)

    - #### cacheResultNodes

          public void cacheResultNodes(javax.swing.tree.DefaultMutableTreeNode operNode)

    - #### removeNodeFromCache

          public static void removeNodeFromCache(javax.swing.tree.MutableTreeNode mnode)

    - #### insertTreeNodes

          public void insertTreeNodes(javax.swing.JTree resultTree,
                                      javax.swing.tree.DefaultMutableTreeNode operNode)

    - #### getSearchMatcher

          public SearchMatcher getSearchMatcher()

    - #### getSearchString

          public java.lang.String getSearchString()